View Issue Details

IDProjectCategoryView StatusLast Update
0001498XdebugFeature/Change requestpublic2017-12-28 19:16
ReporterkalleAssigned Toderick 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSOS Version
Product Version 
Target Version2.6.0Fixed in Version2.6.0beta1 
Summary0001498: Make Xdebug use the new ZEND_EXTENSION API
DescriptionCommit 23cfe1f06ffcedc6ba1e3c999605c5daf7a2d35a to php-src:master introduced the new ZEND_EXTENSION API for the Windows build system.

This change targets only master for xdebug, and fixes it in a cross version compatible way, meaning the updated config.w32 will continue to work on versions that does not have the ZEND_EXTENSION API (PHP 7.2.99 <=).

(PR incoming)
TagsNo tags attached.
Operating SystemWindows
PHP Version7.3-dev

Activities

derick

2017-12-05 10:33

administrator   ~0004499

Thanks!

Issue History

Date Modified Username Field Change
2017-12-04 19:45 kalle New Issue
2017-12-05 10:33 derick PHP Version 7.2-dev => 7.3-dev
2017-12-05 10:33 derick Fixed in Version => 2.6.0
2017-12-05 10:33 derick Target Version => 2.6.0
2017-12-05 10:33 derick Note Added: 0004499
2017-12-05 10:33 derick Status new => closed
2017-12-05 10:33 derick Assigned To => derick
2017-12-05 10:33 derick Resolution open => fixed
2017-12-28 19:16 derick Fixed in Version 2.6.0 => 2.6.0beta1